@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;1,100;1,300;1,400&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #fdfdfd;
    --text-color: #333;
    --main-color: #754ef9;
    --white-color: #fdfdfd;
    --shadow-color: rgba(0, 0, 0, .2);
}

.dark-mode {
    --bg-color: #0b061f;
    --text-color: #fdfdfd;
    --shadow-color: rgba(0, 0, 0, .7);
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 7%;
    background: transparent;
    display: flex;
    align-items: center;
    z-index: 100;
    transition: .5s;
}

.header.sticky {
    background: var(--bg-color);
    box-shadow: 0 .1rem 1rem var(--shadow-color);
}

.logo {
    font-size: 2.5rem;
    color: var(--main-color);
    font-weight: 600;
    cursor: default;
    margin-right: auto;
}

.navbar a {
    position: relative;
    font-size: 1.7rem;
    color:var(--white-color);
    font-weight: 500;
    margin-right: 3.5rem;
}

.header.sticky .navbar a {
    color: var(--text-color);
}

.header.sticky .navbar a.active {
    color: var(--main-color);
}

.navbar a.active::before {
    content: '';
    position: absolute;
    bottom: -6px;
    left: 0;
    width: 100%;
    height: .2rem;
    background: var(--white-color);
}

.header.sticky .navbar a::before {
    background: var(--main-color);
    opacity: .7;
}

#darkMode-icon {
    font-size: 2.4rem;
    color: var(--white-color);
    cursor: pointer;
    margin-right: 40px;
}

.header.sticky #darkMode-icon {
    color: var(--text-color);
    opacity: .9;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
}

section {
    min-height: 100vh;
    padding: 10rem 7% 2rem;
}


/* Home Section */
.home {
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.home-content{
    position: relative;
    z-index: 2;
    max-width: 50rem;
}


.home .home-content {
    max-width: 44rem;
}

.home-content h3 {
    font-size: 3.2rem;
    font-weight: 700;
    line-height: .3;
    opacity: 0;
    animation: slideRight 1s ease forwards;
    animation-delay: .7s;
}

.home-content h1 {
    font-size: 3.7rem;
    font-weight: 600;
    margin-bottom: .3rem;
    opacity: 0;
    animation: slideRight 1s ease forwards;
    animation-delay: 1s;
}

.home-content p {
    font-size: 2rem;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: .7s;
}

.home-content .social-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 2rem;
    color: var(--main-color);
    text-decoration: none;
    margin: 2.5rem 1.5rem 3rem 0;
    transition: .5s ease;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s * var(--i));
}

.home-content .social-media a:hover {
    color: var(--white-color);
    background: var(--main-color);   
}

.btn {
    display: inline-block;
    padding: 1.2rem 2.8rem;
    background: var(--main-color);
    border-radius: .6rem;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    border: .2rem solid transparent;
    font-size: 1.6rem;
    color: var(--white-color);
    letter-spacing: .1rem; 
    font-weight: 600;
    transition: .5s ease;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    animation-delay: 2s;
}

.btn:hover {
    background: transparent;
    color: var(--main-color);
    border-color: var(--main-color);
}

.btn-group {
    display: flex;
    gap: 1.5rem;
}

.home .profession-container {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 768px;
    height: 768px;
    overflow: hidden;
    pointer-events: none;
}

.home .profession-container .profession-box {
    position: absolute;
    top: 0;
    right: 0;
    width: 768px;
    height: 768px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: professionRotate 13s ease-out infinite;
}

@keyframes professionRotate {
    0%,20% {
        transform: rotate(0deg);
    }
    25%,45% {
        transform: rotate(-90deg);
    }
    50%,70% {
        transform: rotate(-180deg);
    }
    75%,95% {
        transform: rotate(-270deg);
    }
    100% {
        transform: rotate(-360deg);
    }
}

.home .profession-box .profession {
    position: absolute;
    left: 0;
    transform-origin: 384px;
    transform: rotate(calc(360deg / 4 * var(--i)));
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--main-color);
    background: var(--bg-color);
    padding: 13px 0;
}

.home .profession-box .profession:nth-child(1) i {
    margin-right: 15px;
}

.home .profession-box .profession:nth-child(2),
.home .profession-box .profession:nth-child(4) i {
    padding-bottom: 20px;
}

.home .profession i {
    font-size: 3.8rem;
}

.home .profession h3 {
    font-size: 3.2rem;
    line-height: 1;
    font-size: 600;
}

.home .profession-box .circle {
    width: 560px;
    height: 560px;
    border: 3px solid var(--main-color);
    border-radius: 50%;
}

.home .profession-container .overlay {
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border-top: 384px solid var(--main-color);
    border-left: 384px solid transparent;
    border-bottom: 384px solid var(--main-color);
    border-right: 384px solid var(--main-color);
}

.home-img {
    display: flex;
    justify-content: center;
    align-items: center;
}


.home-img img {
    width: 320px;
    max-width: 100%;
    height: auto;
    border-radius: 20px;
    object-fit: cover;
    pointer-events: none;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: 2.8s;
}


/* About Section */
span {
    color: var(--main-color);
}

.about {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4rem;
}

.about-img img {
    bottom: 0;
    left: 250px;
    width: 320px;
    height: 500px;
    pointer-events: none;
    object-fit: cover;
    border-radius: 30%;
}

.heading {
    font-size: 4.5rem;
    text-align: center;
}

.about-content h2 {
    text-align: left;
    line-height: 1.2;
}

.about-content h3 {
    margin-top: 2px;
    font-size: 2rem;
}

.about-content p {
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}



/* Skills Section */
.skills {
    min-height: auto;
    padding-bottom: 7rem;
}

.skills h2 {
    margin-bottom: 5rem;
}

.skills .skills-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.skills-container .skills-box {
    flex: 1 1 30rem;
    background: var(--bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    text-align: center;
    border-top: .6rem solid var(--main-color);
    border-bottom: .6rem solid var(--main-color);
    transition: .5s ease;
}

.skills-container .skills-box:hover {
    box-shadow: 0 .1rem 2rem var(--shadow-color);
    transform: scale(1.02);
}

.skills-box i {
    font-size: 7rem;
    color: var(--main-color);
}

.skills-box h3 {
    font-size: 2.6rem;
    transition: .5s ease;
}

.skills-box:hover h3 {
    color: var(--main-color);
}

.skills-box p {
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}


/* web-d */
.my-skill {
    margin: -15px auto;
    color: var(--white-color);
    padding: 20px;
}
.my-skill li {
    margin: 20px 0;
    padding: 5px;
    color: var(--text-color);
}
.bar {
    background: var(--main-color);
    display: block;
    height: 20px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    transition: all 0.3s cubic-bezier(.25, .8, 25, 1);
}
.bar:hover {
    box-shadow: 0 1px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
.bar span {
    height: 20px;
    float: left;
    background: linear-gradient(135deg, rgba(236, 0, 140, 1)0%, rgba(252, 103, 103, 1)100%);
}
.html {
    width: 90%;
    animation: html 3s;
}
.css {
    width: 75%;
    animation: html 3s;
}
.javas {
    width: 70%;
    animation: html 3s;
}

/* py-d */
.my-skill {
    margin: -15px auto;
    color: var(--white-color);
    padding: 20px;
}
.my-skill li {
    margin: 20px 0;
    padding: 10px;
    color: var(--text-color);
}
.bar {
    background: var(--main-color);
    display: block;
    height: 10px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    transition: all 0.3s cubic-bezier(.25, .8, 25, 1);
}
.bar:hover {
    box-shadow: 0 1px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
.bar span {
    height: 20px;
    float: left;
    background: linear-gradient(135deg, rgba(236, 0, 140, 1)0%, rgba(252, 103, 103, 1)100%);
}
.py {
    width: 80%;
    animation: html 3s;
}
.dj {
    width: 75%;
    animation: html 3s;
}
.myS {
    width: 85%;
    animation: html 3s;
}

/* .net-d */
.my-skill {
    margin: -15px auto;
    color: var(--white-color);
    padding: 20px;
}
.my-skill li {
    margin: 20px 0;
    padding: 10px;
    color: var(--text-color);
}
.bar {
    background: var(--main-color);
    display: block;
    height: 20px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    transition: all 0.3s cubic-bezier(.25, .8, 25, 1);
}
.bar:hover {
    box-shadow: 0 1px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
.bar span {
    height: 20px;
    float: left;
    background: linear-gradient(135deg, rgba(236, 0, 140, 1)0%, rgba(252, 103, 103, 1)100%);
}
.cs {
    width: 90%;
    animation: html 3s;
}
.asp {
    width: 80%;
    animation: html 3s;
}
.sql {
    width: 88%;
    animation: html 3s;
}



/* Portfolio Section */
.portfolio {
    padding-bottom: 10rem;
}

.portfolio h2 {
    margin-bottom: 4rem;
}

.portfolio-box img {
    height: 300px;
    width: 100%;
    transition: .5S ease;
}

.portfolio-box:hover img {
    transform: scale(1.1);
}

.portfolio .portfolio-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.portfolio-container .portfolio-box {
    position: relative;
    display: flex;
    border-radius: 2rem;
    box-shadow: 0 0 1rem rgba(0, 0, 0, .1);
    overflow: hidden;
}

.portfolio-box .portfolio-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, .1), var(--main-color));
    color: var(--white-color);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    opacity: 0;
    transition: .5s ease;
}

.portfolio-box:hover .portfolio-layer {
    opacity: 1;
}

.portfolio-layer h4 {
    font-size: 3rem;
}

.portfolio-layer p {
    font-size: 1.6rem;
    margin: .3rem 0 1rem;
}

.portfolio-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: var(--white-color);
    border-radius: 50%;
}

.portfolio-layer a i {
    font-size: 2rem;
    color: #333;
}



/* Contact Section */
.contact h2 {
    margin-bottom: 3rem;
}

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.contact .label-box {
    margin: 30px;
    margin-left: 300px;
    color: var(--main-color);
    height: 50px; 
}

.contact .label-box1 {
    margin: 40px;
    margin-left: 300px;
    color: var(--main-color);
    height: 50px; 
}

.contact .icon {
    font-size: 16px;
}

.contact .text h3 {
    font-size: 15px;
}

.contact .text p {
    font-size: 17px;
    color: var(--text-color);
}

.input-box input {
    border: .1rem solid var(--shadow-color);
}

.contact form .input-box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: var(--bg-color);
    border-radius: .8rem;
    margin: .7rem 0;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    border: .1rem solid var(--shadow-color);
}

.contact form .input-box input {
    width: 49%;
}

.contact form textarea {
    resize: none;
}

.contact form .btn {
    margin-top: 2rem;
    cursor: pointer;
}

#msg {
    color: #61b752;
    margin-left: 520px;
    margin-top: -10px;
    display: block;
    font-size: large;
}

.footer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 7%;
    background: var(--main-color);
}

.footer-text p {
    font-size: 1.6rem;
    color: var(--white-color);
}

.footer-iconTop a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 0.8rem;
    background: var(--white-color);
    border-radius: .8rem;
    border: .2rem solid var(--main-color);
    outline: .2rem solid transparent;
    transition: .5s ease;
}

.footer-iconTop a:hover {
    outline-color: var(--white-color);
}

.footer-iconTop a i {
    font-size: 2.4rem;
    color: #333;
}



/* BREAKPOINTS */

@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
    .home .profession-container {
        height: 85.8rem;
    }

    .home .profession-container .profession-box {
        right: -12rem;
        height: 89.8rem;
    }

    .home .profession-container .overlay {
        right: -15rem;
    }
}

@media (max-width: 1024px) {
    .header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .home .profession-container .profession-box {
        right: -22rem;
    }

    .home .profession-container .overlay {
        right: -15rem;
    }
}

@media (max-width: 991px) {
    .navbar a:nth-child(1),
    .navbar a:nth-child(2) {
        color: var(--main-color);
    }

    .navbar a.active::before {
        background: var(--main-color);
        opacity: .7;
    }

    .home .home-content {
        max-width: 50rem;
    }

    .home .profession-container .profession-box {
        right: -45rem;
    }

    .home .profession-container .overlay {
        right: -39.5rem;
    }

    .home-img img {
        display: none;
    }

    .skills,
    .portfolio {
        padding-bottom: 7rem;
    }

    .contact {
        min-height: auto;
    }

    #msg {
        display: block;
        font-size: large;
        margin-left: 250px;
    }

    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width: 768px) {
    #darkMode-icon {
        position: absolute;
        right: 8rem;
        font-size: 2.6rem;
        color: var(--text-color);
        margin-bottom: .1rem;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0.5rem 1rem rgba(0, 0, 0, .1);
        display: none;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: var(--text-color);
    }

    .navbar a:nth-child(1),
    .navbar a:nth-child(2) {
        color: var(--text-color);
    }

    .navbar .active {
        display: block;
    }

    .navbar a.active {
        color: var(--main-color);
    }

    .navbar a::before {
        display: none;
    }

    .home {
        padding: 0 3% 23rem;
        justify-content: center;
        text-align: center;
    }

    .home-content h3 {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-content .social-media a {
        margin: 2.5rem .75rem 3rem;
    }

    .home .profession-container {
        left: 0;
        width: 100%;
        height: 100%;
    }

    .home .profession-container .profession-box {
        position: fixed;
        top: 58%;
        left: 0;
        border-radius: 0;
        width: 100%;
    }

    .home .profession-box .profession {
        padding: 0 13px;
        left: auto;
        transform-origin: 0;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-120px, -210px);
    }

    .home .profession-box .profession:nth-child(1) i {
        margin-right: 0;
    }
    
    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(0, -335px);
    }

    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-115px, -450px);
    }
    
    .home .profession-box .profession:nth-child(4) {
        transform: rotate(180deg) translate(-220px, -335px);
        width: 225px;
    }

    .home .profession-box .circle {
        position: fixed;
        width: 670px;
        height: 670px;
        z-index: -1;
    }

    .home .profession-container .overlay {
        position: fixed;
        top: 109rem;
        left: 48%;
        right: 0;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(3);
        border-width: 23.9rem;
    }
    .cphoto-img img {
        width: 100vw;
        margin-top: 10rem;
    }

    .about {
        flex-direction: column-reverse;
        text-align: center;
    }

    .about-content h2 {
        text-align: center;
    }
    .about-img img {
        width: 70vw;
        margin-top: -2rem;
    }

    .skills h2,
    .portfolio h2 {
        margin-bottom: 3rem;
    }

    .portfolio .portfolio-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .contact .label-box {
        margin-left: 60px;
    }

    .contact .label-box1 {
        margin-left: 60px;
    }
    #msg {
        display: block;
        font-size: large;
        margin-left: 234px;
    }
}

@media (max-width: 617px) {
    #darkMode-icon {
        display: block;
        right: 3rem;
        font-size: 2.6rem;
        color: var(--text-color);
       
    }
    .portfolio .portfolio-container {
        grid-template-columns: 1fr;
    }

    #menu-icon {
        display: flex;
    }

    .home .profession-container .profession-box {
        position: fixed;
        top: 66%;
        left: 0;
        border-radius: 0;
        width: 100%;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-110px, -220px);
    }
    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(5px, -335px);
    }
    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-10p5x, -440px);
        width: 237px;
    }
    .home .profession-box .profession:nth-child(4) {
        width: 215px;
        transform: rotate(180deg) translate(-210px, -355px);
    }


    .home .profession-container .overlay {
        position: fixed;
        top: 109rem;
        left: 49%;
        right: 0;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(3);
        border-width: 23.9rem;
    }

    .contact .label-box {
        margin-left: 10px;
    }

    .contact .label-box1 {
        margin-left: 10px;
    }

    #msg {
        display: block;
        font-size: large;
        margin-left: 57px;
    }

}

@media (max-width: 550px) {
    html {
        font-size: 50%;
    }

    #menu-icon {
        display: block;
    }

    #darkMode-icon {
        display: block;
        margin-right: 60px;
    }

    .home {
        padding: 0 3% 30rem;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-110px, -220px);
    }
    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(5px, -335px);
    }
    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-10p5x, -440px);
        width: 237px;
    }
    .home .profession-box .profession:nth-child(4) {
        width: 215px;
        transform: rotate(180deg) translate(-210px, -355px);
    }

    .contact form .input-box input {
        width: 100%;
    }

    .contact .label-box {
        margin-left: 10px;
    }

    .contact .label-box1 {
        margin-left: 10px;
    }

    #msg {
        display: block;
        font-size: large;
        margin-left: 57px;
    }

    .home .profession-container .overlay {
        position: fixed;
        top: 92rem;
        left: 48%;
        right: 0;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(3);
        border-width: 23.9rem;
    }
}

@media (max-width: 400px) {
    html {
        font-size: 50%;
    }

    #menu-icon {
        display: block;
    }

    #darkMode-icon {
        display: block;
        margin-right: 60px;
    }

    .home {
        padding: 0 3% 30rem;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-110px, -220px);
    }
    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(5px, -335px);
    }
    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-10p5x, -440px);
        width: 237px;
    }
    .home .profession-box .profession:nth-child(4) {
        width: 215px;
        transform: rotate(180deg) translate(-210px, -355px);
    }

    .contact form .input-box input {
        width: 100%;
    }

    .contact .label-box {
        margin-left: 20px;
    }

    .contact .label-box1 {
        margin-left: 20px;
    }

    #msg {
        display: block;
        font-size: large;
        margin-left: 70px;
    }

    .home .profession-container .overlay {
        position: fixed;
        top: 82rem;
        left: 48%;
        right: 0;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(3);
        border-width: 23.9rem;
    }
}

@media (max-width: 365px) {
    #darkMode-icon {
        display: block;
        right: 10rem;
    }

    .about-img img {
        width: 90vw;
    }

    .footer {
        flex-direction: column-reverse;
    }

    .footer p {
        text-align: center;
        margin-top: 2rem;
    }

    html {
        font-size: 50%;
    }

    #darkMode-icon {
        right: 6rem;
    }

    .home {
        padding: 0 3% 30rem;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-110px, -220px);
    }
    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(5px, -335px);
    }
    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-10p5x, -440px);
        width: 237px;
    }
    .home .profession-box .profession:nth-child(4) {
        width: 215px;
        transform: rotate(180deg) translate(-210px, -355px);
    }

    .home .profession-container .overlay {
        display: block;
        position: fixed;
        top: 92rem;
        left: 48%;
        right: 0;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(3);
        border-width: 23.9rem;
    }

    .contact form .input-box input {
        width: 100%;
    }

    #msg {
        display: block;
        font-size: large;
        margin-left: 30px;
    }
}

@keyframes slideRight {
    0% {
        opacity: 0;
        transform: translateX(-100px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideLeft {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideTop {
    0% {
        opacity: 0;
        transform: translateY(100px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
